import type { Node } from 'prosemirror-model';
import type { EditorView } from 'prosemirror-view';
import type { FileUploadHandler, UploadSuccessItem } from "../../../../utils/upload.js";
import { FilesBatchUploadProcess } from "../../../behavior/utils/upload.js";
import { FileSkeletonDescriptor } from "./skeleton.js";
export declare abstract class YfmFilesUploadProcessBase extends FilesBatchUploadProcess {
    protected readonly createFile: ({ result, file }: UploadSuccessItem) => Node;
    constructor(view: EditorView, files: readonly File[], uploadHandler: FileUploadHandler);
    protected createSkeleton(): FileSkeletonDescriptor;
    protected abstract getSkeletonInitPos(): number;
    protected createPMNode(res: UploadSuccessItem): Promise<Node>;
}
